<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [getSleeveAugmentationRepReq](./bitburner.sleeve.getsleeveaugmentationrepreq.md)

## Sleeve.getSleeveAugmentationRepReq() method

Get reputation requirement of an augmentation.

**Signature:**

```typescript
getSleeveAugmentationRepReq(augName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | Name of Augmentation. |

**Returns:**

number

Reputation requirement of the augmentation.

## Remarks

RAM cost: 4 GB

